using OF_DL.Models;

namespace OF_DL.Services;

public interface IAuthService
{
    Auth? CurrentAuth { get; set; }
    Task<bool> LoadFromFileAsync(string filePath = "auth.json");
    Task<bool> LoadFromBrowserAsync();
    Task SaveToFileAsync(string filePath = "auth.json");
}
